<?xml version="1.0" encoding="utf-16"?>
<Setup xmlns="http://schemas.microsoft.com/Setup/2008/01/im" xmlns:ironman="http://schemas.microsoft.com/Setup/2008/01/im" SetupVersion="1.0">
  <UI Dll="SetupUi.dll" Name="Microsoft Visual C++ 2010  x64 Redistributable Setup" Version="10.0.30319" />
  <Configuration>
    <DisabledCommandLineSwitches>
      <CommandLineSwitch Name="createlayout" />
    </DisabledCommandLineSwitches>
    <UserExperienceDataCollection Policy="UserControlled" />
    <BlockingMutex Name="VC_Redist_SetupMutex" />
  </Configuration>
  <EnterMaintenanceModeIf>
    <Exists>
      <MsiProductVersion ProductCode="{DA5E371C-6333-3D8A-93A4-6FD5B20BCC6E}" />
    </Exists>
  </EnterMaintenanceModeIf>
  <Blockers>
    <StopBlockers>
      <BlockIf DisplayText="#(loc.Blocker_UnSupportedOS)">
        <And>
          <Equals LeftHandSide="Installing" BoolWhenNonExistent="false">
            <Operation />
          </Equals>
          <GreaterThan LeftHandSide="5.1.0" BoolWhenNonExistent="false">
            <TargetOS />
          </GreaterThan>
        </And>
      </BlockIf>
      <BlockIf DisplayText="#(loc.Blocker_X64)">
        <And>
          <Equals LeftHandSide="Installing" BoolWhenNonExistent="false">
            <Operation />
          </Equals>
          <Not>
            <Equals LeftHandSide="x64" BoolWhenNonExistent="false">
              <TargetArchitecture />
            </Equals>
          </Not>
        </And>
      </BlockIf>
      <BlockIf DisplayText="#(loc.Blocker_NewerVersionPresent)">
        <And>
          <Equals LeftHandSide="Installing" BoolWhenNonExistent="false">
            <Operation />
          </Equals>
          <LessThan LeftHandSide="30319" BoolWhenNonExistent="false">
            <RegKeyValue Location="HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\VisualStudio\10.0\VC\VCRedist\x64\Bld" />
          </LessThan>
        </And>
      </BlockIf>
    </StopBlockers>
  </Blockers>
  <Items OnSubFailureAction="Rollback" DownloadRetries="3" DelayBetweenRetries="6" CopyPackageFilesToDownloadLocation="true">
    <File Name="vc_red.cab" DownloadSize="4829869" SystemDriveSize="15000000" InstalledProductSize="15000000">
      <IsPresent>
        <Exists Id="vc_red_amd64_self">
          <MsiProductVersion ProductCode="{DA5E371C-6333-3D8A-93A4-6FD5B20BCC6E}" />
        </Exists>
      </IsPresent>
      <ApplicableIf>
        <AlwaysTrue />
      </ApplicableIf>
      <ActionTable>
        <InstallAction IfPresent="noop" IfAbsent="install" />
        <UninstallAction IfPresent="uninstall" IfAbsent="noop" />
        <RepairAction IfPresent="repair" IfAbsent="install" />
      </ActionTable>
    </File>
    <MSI Name="vc_red.msi" DownloadSize="168960" ProductCode="{DA5E371C-6333-3D8A-93A4-6FD5B20BCC6E}" SystemDriveSize="200000" InstalledProductSize="200000" EstimatedInstallTime="5000" CanonicalTargetName="#(loc.VC_Redist)" MSIOptions="EXTUI=1" MSIRepairOptions="REINSTALLMODE=omus" Rollback="false">
      <IsPresent>
        <ExpressionAlias Id="vc_red_amd64_self" />
      </IsPresent>
      <ApplicableIf>
        <AlwaysTrue />
      </ApplicableIf>
      <ActionTable>
        <RepairAction IfPresent="noop" IfAbsent="install" OnFailureBehavior="Stop" />
        <InstallAction IfPresent="noop" IfAbsent="install" />
        <UninstallAction IfPresent="uninstall" IfAbsent="noop" />
      </ActionTable>
    </MSI>
    <MSI Name="vc_red.msi" DownloadSize="168960" ProductCode="{DA5E371C-6333-3D8A-93A4-6FD5B20BCC6E}" SystemDriveSize="200000" InstalledProductSize="200000" EstimatedInstallTime="5000" CanonicalTargetName="#(loc.VC_Redist)" MSIOptions="EXTUI=1" MSIRepairOptions="REINSTALL=ALL REINSTALLMODE=omus" Rollback="false">
      <IsPresent>
        <ExpressionAlias Id="vc_red_amd64_self" />
      </IsPresent>
      <ApplicableIf>
        <AlwaysTrue />
      </ApplicableIf>
      <ActionTable>
        <InstallAction IfPresent="noop" IfAbsent="noop" OnFailureBehavior="Stop" />
        <UninstallAction IfPresent="noop" IfAbsent="noop" />
        <RepairAction IfPresent="install" IfAbsent="noop" />
      </ActionTable>
    </MSI>
    <ServiceControl Name="MSIServer" SystemDriveSize="0" CanonicalTargetName="#(loc.NecessaryComponent)" Control="Stop">
      <IsPresent>
        <NeverTrue />
      </IsPresent>
      <ApplicableIf>
        <AlwaysTrue />
      </ApplicableIf>
      <ActionTable>
        <InstallAction IfPresent="noop" IfAbsent="install" OnFailureBehavior="Continue" />
        <UninstallAction IfPresent="noop" IfAbsent="noop" />
        <RepairAction IfPresent="repair" IfAbsent="noop" OnFailureBehavior="Continue" />
      </ActionTable>
    </ServiceControl>
  </Items>
  <SystemCheck>
    <ProcessBlocks />
    <ServiceBlocks />
  </SystemCheck>
</Setup>